Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FlexibleTransform Class Reference

参照方法が複数ある柔軟なTransform型を扱うクラス。 More...

Inheritance diagram for FlexibleTransform:

## Public Member Functions
| FlexibleTransform ()
| FlexibleTransformデフォルトコンストラクタ More...
| FlexibleTransform (Transform value)
| FlexibleTransformコンストラクタ More...
| FlexibleTransform (TransformParameterReference parameter)
| FlexibleTransformコンストラクタ More...
| FlexibleTransform (InputSlotTransform slot)
| FlexibleTransformコンストラクタ More...
FlexibleComponent | ToFlexibleComponent ()
| FlexibleComponentへ変換して返す。 More...
Public Member Functions inherited from FlexibleField< Transform >
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleField ()
| FlexibleFieldデフォルトコンストラクタ More...
| FlexibleField (T value)
| FlexibleFieldコンストラクタ More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleFieldコンストラクタ More...
| FlexibleField (InputSlotAny slot)
| FlexibleFieldコンストラクタ More...

## Static Public Member Functions
static | operator Transform (FlexibleTransform flexible)
| FlexibleTransformをTransformにキャスト。 More...
static | operator FlexibleTransform (Transform value)
| TransformをFlexibleTransformにキャスト。 More...
Static Public Member Functions inherited from FlexibleField< Transform >
static | operator T (FlexibleField< T > flexible)
| FlexibleFieldをTにキャスト。 More...
static | operator FlexibleField< T > (T value)
| TをFlexibleFieldにキャスト。 More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< Transform >
T | _Value
| 固定値 More...
AnyParameterReference | _Parameter
| パラメータ参照 More...
InputSlotAny | _Slot
| データ入力スロット More...
Properties inherited from FlexibleField< Transform >
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
T | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なTransform型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleTransform | ( |  | ) |

FlexibleTransformデフォルトコンストラクタ

FlexibleTransform | ( | Transform | value | ) |

FlexibleTransformコンストラクタ

Parameters

  value | 値

FlexibleTransform | ( | TransformParameterReference | parameter | ) |

FlexibleTransformコンストラクタ

Parameters

  parameter | パラメータ

FlexibleTransform | ( | InputSlotTransform | slot | ) |

FlexibleTransformコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

static operator FlexibleTransform | ( | Transform | value | ) |
| explicit static

TransformをFlexibleTransformにキャスト。

Parameters

  value | Transform

static operator Transform | ( | FlexibleTransform | flexible | ) |
| explicit static

FlexibleTransformをTransformにキャスト。

Parameters

  flexible | FlexibleTransform

FlexibleComponent ToFlexibleComponent | ( |  | ) |

FlexibleComponentへ変換して返す。

Returns
  FlexibleComponent